List products
Products in a shop with title, tags, visibility and whether a publish is running.
GET https://cotlet.dev/api/v1/printify/shops/{shop_id}/products
read
Lists the products of one shop, with title, tags, whether the product is published and whether it is locked by a running publish. Body text is left out; get_product returns the full product.
Parameters
| Name | Type | Description |
|---|---|---|
| shop_id integer required | integer | Shop ID from list_shops. |
| tag string | string | Only products with this tag. |
| limit integer | integer | Products per page. Default: 10. |
| page integer | integer | Page number, starting at 1. Default: 1. |
Request
curl https://cotlet.dev/api/v1/printify/shops/1/products \
-H "Authorization: Bearer $COTLET_API_KEY" result = client.call("printify", "list_products", {"shop_id":1}) const result = await cotlet.call('printify', 'list_products', {"shop_id":1}); cotlet call printify list_products --data '{"shop_id":1}' Example response
{
"products": [
{
"product_id": "6641ab12",
"title": "Night Owl Club Tee",
"tags": [
"owl",
"ready"
],
"visible": false,
"is_locked": false
},
{
"product_id": "6641ab13",
"title": "Coffee First Tee",
"tags": [
"coffee"
],
"visible": true,
"is_locked": false
}
],
"page": 1,
"last_page": 3
}